Skill Pools - Effort Classes API
List all effort classes of a skill pool
Заголовок раздела «List all effort classes of a skill pool»List all effort classes of a skill pool with a specific ID.
GET /skill_pools/:id/effort_classesResponse
Заголовок раздела «Response»Status: 200 OK[ { "id": 2, "sourceID": null, "name": "Standard", "position": 1, "cost_multiplier": "1.0", "created_at": "2016-12-23T05:09:03-06:00", "updated_at": "2016-12-23T05:09:03-06:00" }, { "id": 3, "sourceID": null, "name": "Overtime", "position": 2, "cost_multiplier": "1.65", "created_at": "2016-12-23T05:09:03-06:00", "updated_at": "2016-12-23T05:09:03-06:00" }]The response contains these fields by default.
Predefined Filters
Заголовок раздела «Predefined Filters»The following predefined filters are available:
/skill_pools/:id/effort_classes/disabled: List all disabled effort classes of a skill pool with a specific ID/skill_pools/:id/effort_classes/enabled: List all enabled effort classes of a skill pool with a specific ID
Add an effort class to a skill pool
Заголовок раздела «Add an effort class to a skill pool»Add a link between a skill pool with a specific ID and an effort class with a specific ID.
POST /skill_pools/:id/effort_classes/:effort_class_idResponse
Заголовок раздела «Response»Status: 200 OK{}Remove an effort class from a skill pool
Заголовок раздела «Remove an effort class from a skill pool»Remove the link between a skill pool with a specific ID and an effort class with a specific ID.
DELETE /skill_pools/:id/effort_classes/:effort_class_idResponse
Заголовок раздела «Response»Status: 204 No ContentRemove all effort classes from a skill pool
Заголовок раздела «Remove all effort classes from a skill pool»Remove all links between a skill pool with a specific ID and its effort classes.
DELETE /skill_pools/:id/effort_classesResponse
Заголовок раздела «Response»Status: 204 No Content